import type { _NSArray } from "../Foundation/NSArray.js";
import type { _NSCopying } from "../Foundation/NSCopying.js";
import type { _NSNumber } from "../Foundation/NSNumber.js";
import type { _NSObject } from "../Foundation/NSObject.js";
import type { _NSString } from "../Foundation/NSString.js";
export declare class _MTRModeSelectClusterModeOptionStruct extends _NSObject {
    static alloc(): _MTRModeSelectClusterModeOptionStruct;
    static new(): _MTRModeSelectClusterModeOptionStruct;
    init(): _MTRModeSelectClusterModeOptionStruct;
    label(): _NSString;
    setLabel$(value: _NSString): void;
    mode(): _NSNumber;
    setMode$(value: _NSNumber): void;
    semanticTags(): _NSArray;
    setSemanticTags$(value: _NSArray): void;
}
export interface _MTRModeSelectClusterModeOptionStruct extends _NSCopying {
}
